Debian Bug report logs - #556846
libcurses-ui-perl: Solaris-specific hack breaks expected behaviour (at least on Linux)

version graph

Package: libcurses-ui-perl; Maintainer for libcurses-ui-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libcurses-ui-perl is src:libcurses-ui-perl.

Reported by: Antony Gelberg <antony.gelberg@gmail.com>

Date: Tue, 17 Nov 2009 21:20:45 UTC

Severity: important

Tags: patch

Found in version 0.9605-1.5

Fixed in version libcurses-ui-perl/0.9607-2

Done: Damyan Ivanov <dmn@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://rt.cpan.org/Public/Bug/Display.html?id=51625

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-perl@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#556846; Package libcurses-ui-perl. (Tue, 17 Nov 2009 21:20:48 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antony Gelberg <antony.gelberg@wayforth.com>:
New Bug report received and forwarded. Copy sent to debian-perl@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Tue, 17 Nov 2009 21:20:48 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Antony Gelberg <antony.gelberg@wayforth.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libcurses-ui-perl: Solaris-specific hack breaks expected behaviour (at least on Linux)
Date: Tue, 17 Nov 2009 21:09:05 +0000
Package: libcurses-ui-perl
Version: 0.9605-1.5
Severity: important
Tags: patch

I have a reasonably large application that uses Curses::UI and
Curses::UI::POE.  When keyboard input is buffered because the app is blocking,
things get out of sync when the app returns - keys get "lost" and the app is
thereafter "one key behind".

The problem was eventually narrowed down to the following part of
/usr/share/perl5/Curses/UI.pm

    # See if there are pending keys on input. If I do not
    # feed them to the application in this way, the screen
    # hangs in case I do a lot of input on my Solaris
    # machine.
    $key = $self->get_key(0);
    $self->feedkey($key) unless $key eq '-1';

This is something of a hack.  On my Linux machine, commenting out the above
causes correct behaviour, whereby keypresses are buffered and dealt with when
the app returns from its blocking behaviour.

I'm raising this bug as I'd like to implement the patch in Debian, but would
welcome input from other members of the Debian Perl team.  I will raise the
issue upstream as well.

Antony

-- System Information:
Debian Release: 5.0.3
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.30-bpo.2-686 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages libcurses-ui-perl depends on:
ii  libcurses-perl           1.23-1+b1       Curses interface for Perl
ii  libterm-readkey-perl     2.30-4          A perl module for simple terminal 
ii  perl                     5.10.0-19lenny2 Larry Wall's Practical Extraction 

libcurses-ui-perl recommends no packages.

libcurses-ui-perl suggests no packages.

-- no debconf information




Set Bug forwarded-to-address to 'http://rt.cpan.org/Public/Bug/Display.html?id=51625'. Request was from Antony Gelberg <antony.gelberg@wayforth.com> to control@bugs.debian.org. (Wed, 18 Nov 2009 12:42:07 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Antony Gelberg <antony.gelberg@gmail.com>' from 'Antony Gelberg <antony.gelberg@wayforth.com>' Request was from Antony Gelberg <antony.gelberg@gmail.com> to control@bugs.debian.org. (Sun, 06 Jun 2010 12:18:16 GMT) Full text and rfc822 format available.

Reply sent to Damyan Ivanov <dmn@debian.org>:
You have taken responsibility. (Fri, 01 Jul 2011 10:21:13 GMT) Full text and rfc822 format available.

Notification sent to Antony Gelberg <antony.gelberg@gmail.com>:
Bug acknowledged by developer. (Fri, 01 Jul 2011 10:21:19 GMT) Full text and rfc822 format available.

Message #14 received at 556846-close@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: 556846-close@bugs.debian.org
Subject: Bug#556846: fixed in libcurses-ui-perl 0.9607-2
Date: Fri, 01 Jul 2011 10:17:26 +0000
Source: libcurses-ui-perl
Source-Version: 0.9607-2

We believe that the bug you reported is fixed in the latest version of
libcurses-ui-perl, which is due to be installed in the Debian FTP archive:

libcurses-ui-perl_0.9607-2.debian.tar.gz
  to main/libc/libcurses-ui-perl/libcurses-ui-perl_0.9607-2.debian.tar.gz
libcurses-ui-perl_0.9607-2.dsc
  to main/libc/libcurses-ui-perl/libcurses-ui-perl_0.9607-2.dsc
libcurses-ui-perl_0.9607-2_all.deb
  to main/libc/libcurses-ui-perl/libcurses-ui-perl_0.9607-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 556846@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Damyan Ivanov <dmn@debian.org> (supplier of updated libcurses-ui-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 01 Jul 2011 13:05:12 +0300
Source: libcurses-ui-perl
Binary: libcurses-ui-perl
Architecture: source all
Version: 0.9607-2
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Damyan Ivanov <dmn@debian.org>
Description: 
 libcurses-ui-perl - curses-based OO user interface framework for Perl
Closes: 556846 556934 628128
Changes: 
 libcurses-ui-perl (0.9607-2) unstable; urgency=low
 .
   * Team upload
 .
   [Nathan Handler]
   * debian/watch: Update to ignore development releases.
 .
   [Antony Gelberg]
   * Add patch to remove broken Solaris hack. (Closes: 556846)
   * Add patch to remove broken flushkeys hack. (Closes: 556934)
 .
   [ Damyan Ivanov ]
   * Convert to source format '3.0 (quilt)'
   * Add patch removing stray semicolon from @ subroutine prorotypes
     (Closes: #628128)
   * add pod-spell.patch fixing spelling errors in documentation (thanks,
     lintian)
   * drop the version (5.8) from perl build-dependency
   * add myself to debian/copyright
   * Standards-Version: 3.9.2 (no changes)
Checksums-Sha1: 
 34bd69ae7b58fb8d20070f8bd7e51a428d7dd8a4 2082 libcurses-ui-perl_0.9607-2.dsc
 25a27077d23f276f196909a4c358dbc970b5a626 6848 libcurses-ui-perl_0.9607-2.debian.tar.gz
 307311f011dfd9dea064725c4293dea1b650c53a 242128 libcurses-ui-perl_0.9607-2_all.deb
Checksums-Sha256: 
 6181c693590a10281640c704126686774265a6d919e1370671daf012d63655ab 2082 libcurses-ui-perl_0.9607-2.dsc
 39eeb8c6874972249a750268cbd2e6d095adbf0f2bd7f17d15c8f864655da18c 6848 libcurses-ui-perl_0.9607-2.debian.tar.gz
 97fa98328d3874e864984923d2133241f2be89fe52409ae8036e8a6bddea4f2f 242128 libcurses-ui-perl_0.9607-2_all.deb
Files: 
 f44d3cad9ff2497325d1cdcf30fcda35 2082 perl optional libcurses-ui-perl_0.9607-2.dsc
 89abd33250c529b678755ec42f418f2d 6848 perl optional libcurses-ui-perl_0.9607-2.debian.tar.gz
 426b5a1b59852d683a28068638b25ff3 242128 perl optional libcurses-ui-perl_0.9607-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJODZxJAAoJEOQbTFV/DYC+rTgQAIj3BVmVi+e7szZB1UPTTuRm
LGeS7T/IfAyi/YLqW5byVWOPyj7wwaN/awFVZA/jpTQMjxASJaSSaFHt99S8TF3A
H1xcbbN7VnsrVLBJahsQ29cUNh9tKy7rtUzBjYoBUZ6Psgw+0NgWYQJ+58CHE8DR
SXbPC/wPuFaBkmLslkelzisGY9ASGy3GDrAZHhUAUP0Z7Im2F0ow9Ssx9lTsflxI
qEtR45A+WOewCNMTVzvglr54VkGzQQp475FeAjV49FMxM1lZpHl74N3HwefWws5b
EvmJe2RlMY0mjDT1yiUwY9P+/pe17AXS92exskhIOYZ9ked8PjN7UINtElnQ7t09
RBXl1nptHy1XVZkAJd1bWaZH2NZduUTzGH8eM7MV4FUqZ1xv3Fc2n9Gq5ct+wEIt
aG7bUWzxOBb4B2Cih6b8MjAmaQ5rItpTuuX2YU7mT5rgrqB+hOoAPUG3YhY7XoBK
F4cyALyj5H8wMfCpiIDiULQsh/w8TNx5OYZop0WVEzjFDXOnR8YUjYklDJ7WNh+e
TsIpo4lUgGpfr9v7TkaxZMaY0BI98zp4/gnkesNVD5HT2u/uv5M6fN7thzm7VQIR
PrTOBtRkf7baXLGCjo/fcFsAHG0stkY6oGs4+6+sDuCkQVRLVZJLmeW4vCUaBr7s
aYnWQFnMpHUYRk8PVmg9
=B0Rr
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Jul 2011 07:35:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:07:30 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.